Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.suggestion.util
Class UnsignedLong

    java.lang.Object
      com.verisign.epp.codec.suggestion.util.UnsignedLong

All Implemented Interfaces:
  java.io.Serializable

    public class UnsignedLong

extends java.lang.Object
implements java.io.Serializable

This class doesn't really implement a complete Unsigned Long because it uses a long primitive. The primitive is simply prohibited from being negative, so the maximum value of this class is half of the maximum value of a true UnsignedLong value.

Author:
  jcolosi
See Also:
  Serialized Form

Field Summary
`protected long` | `longValue`
`static long` | `NONE`
`static java.lang.String` | `NONE_STRING`

Constructor Summary
`UnsignedLong()` Constructor.
`UnsignedLong(long aLongValue)` Constructor.
`UnsignedLong(java.lang.String aLongAsString)` Constructor.

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object o)`
`long` | `get()` Get the unsigned long value.
`UnsignedLong` | `getRandom()` Randomly generate an unsigned long value.
`boolean` | `isSet()` Is the value set.
`void` | `set(long aLongValue)` Set the unsigned long value.
`void` | `set(java.lang.String aLongAsString)` Set the unsigned long value as string.
`java.lang.String` | `toString()`
`void` | `unset()` Unset the value.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static long NONE

### NONE_STRING

    public static java.lang.String NONE_STRING

### longValue

    protected long longValue

Constructor Detail

### UnsignedLong

    public UnsignedLong()

  Constructor.

### UnsignedLong

    public UnsignedLong(long aLongValue)
                 throws InvalidValueException

  Constructor.

  Parameters:
    `aLongValue` - a unsigned long value
  Throws:
    `InvalidValueException`

### UnsignedLong

    public UnsignedLong(java.lang.String aLongAsString)
                 throws InvalidValueException

  Constructor.

  Parameters:
    `aLongAsString` - an unsigned long as string
  Throws:
    `InvalidValueException`

Method Detail

### get

    public long get()

  Get the unsigned long value.

  Returns:
    an unsigned long value

### isSet

    public boolean isSet()

  Is the value set.

  Returns:
    true if it is set

### set

    public void set(long aLongValue)
             throws InvalidValueException

  Set the unsigned long value.

  Parameters:
    `aLongValue` - an unsigned long value
  Throws:
    `InvalidValueException`

### set

    public void set(java.lang.String aLongAsString)
             throws InvalidValueException

  Set the unsigned long value as string.

  Parameters:
    `aLongAsString` - an unsigned long value as string
  Throws:
    `InvalidValueException`

### unset

    public void unset()

  Unset the value.

### getRandom

    public UnsignedLong getRandom()

  Randomly generate an unsigned long value.

  Returns:
    an unsigned long value

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.